Error fetching remote gem cache


#1

I am getting this error when trying to install rails:

gem install rails --include-dependencies
Bulk updating Gem source index for: http://gems.rubyforge.org
ERROR: While executing gem … (Gem::RemoteSourceException)
Error fetching remote gem cache: timed out fetching
http://gems.rubyforge.org/yaml

I am doing this on my laptop running windows XP SP2. I am connected
to the internet via wifi at my home (DSL, no proxy). I also tried
this to see more debugging info:

gem install rails --include-dependencies --debug
Exception Errno::ENOENT' at c:/Tools/ruby/lib/ruby/site_ruby/1.8/ rubygems/confi g_file.rb:51 - No such file or directory - C:\Documents and Settings \pku/.gemrc Bulk updating Gem source index for: http://gems.rubyforge.org ExceptionTimeout::Error’ at c:/Tools/ruby/lib/ruby/1.8/timeout.rb:54

  • executi
    on expired
    Exception Gem::RemoteFetcher::FetchError' at c:/Tools/ruby/lib/ruby/ site_ruby/1 .8/rubygems/remote_fetcher.rb:53 - timed out fetching http://gems.rubyforge.org/ yaml.Z ExceptionTimeout::Error’ at c:/Tools/ruby/lib/ruby/1.8/timeout.rb:54
  • executi
    on expired
    Exception Gem::RemoteFetcher::FetchError' at c:/Tools/ruby/lib/ruby/ site_ruby/1 .8/rubygems/remote_fetcher.rb:53 - timed out fetching http://gems.rubyforge.org/ yaml ExceptionGem::RemoteSourceException’ at c:/Tools/ruby/lib/ruby/
    site_ruby/1.8/r
    ubygems/source_index.rb:288 - Error fetching remote gem cache: timed
    out fetchin
    g http://gems.rubyforge.org/yaml
    ERROR: While executing gem … (Gem::RemoteSourceException)
    Error fetching remote gem cache: timed out fetching
    http://gems.rubyforge.or
    g/yaml
    removing C:/DOCUME~1/pku/LOCALS~1/Temp/open-uri.2812.0…done
    removing C:/DOCUME~1/pku/LOCALS~1/Temp/open-uri.2812.2…done
    removing C:/DOCUME~1/pku/LOCALS~1/Temp/open-uri.2812.1…done

Help!

Pei


#2

Hmm, is there something wrong the the rubyforge server? I just tried
to load http://gems.rubyforge.org/yaml in Firefox browser – I got
first part of the page, but it never reached EOF (after 5
minutes)… ?


#3

You stated that you are not behind a proxy, but that is the exact
error you get when you are behind a proxy and don’t use the -p option.

Try:
$gem cleanup

$gem update

before trying to install Rails.


#4

I just tried in the browser here at work.

Its an 8.19 MB file. What is your connection speed?


#5

ok, after a couple of days of unable to download the yaml files, i can
do it now and gem install rails is working now. i guess it was a load
issue somewhere in the internet or gem server that has been resolved.

thx

Pei


#6

unknown wrote:

I just tried in the browser here at work.

Its an 8.19 MB file. What is your connection speed?


I can’t get the commands:

gem update --system

and

gem update

to work. Is there another way to install these updates?